Yet Another HTTP Library: YaHTTP::Request Class Reference

Yet Another HTTP Library yahttp

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Friends | List of all members
YaHTTP::Request Class Reference

`#include <reqresp.hpp>`

Inheritance diagram for YaHTTP::Request:
[legend]
Collaboration diagram for YaHTTP::Request:
[legend]

## Public Member Functions
| Request ()
| Request (const HTTPBase &rhs)
Request & | operator= (const HTTPBase &rhs)
void | initialize ()
void | setup (const std::string &method, const std::string &url)
void | preparePost (postformat_t format=urlencoded)
Public Member Functions inherited from YaHTTP::HTTPBase
| HTTPBase ()
void | write (std::ostream &os) const
strstr_map_t & | GET ()
strstr_map_t & | POST ()
strcookie_map_t & | COOKIES ()
std::string | versionStr (int version) const
std::string | str () const

## Friends
std::ostream & | operator<< (std::ostream &os, const Request &resp)
std::istream & | operator>> (std::istream &is, Request &resp)

## Additional Inherited Members
Public Attributes inherited from YaHTTP::HTTPBase
URL | url
int | kind
int | status
int | version
std::string | statusText
std::string | method
strstr_map_t | headers
CookieJar | jar
strstr_map_t | postvars
strstr_map_t | getvars
strstr_map_t | parameters
std::string | routeName
std::string | body
ssize_t | max_request_size
ssize_t | max_response_size
funcptr::function< size_t(const HTTPBase *, std::ostream &, bool)> | renderer
Protected Member Functions inherited from YaHTTP::HTTPBase
| HTTPBase (const HTTPBase &rhs)
HTTPBase & | operator= (const HTTPBase &rhs)

## Constructor & Destructor Documentation

YaHTTP::Request::Request | ( |  | ) |
| inline

YaHTTP::Request::Request | ( | const HTTPBase & | rhs | ) |
| inline

## Member Function Documentation

void YaHTTP::Request::initialize | ( |  | ) |
| inlinevirtual

Reimplemented from YaHTTP::HTTPBase.

Request& YaHTTP::Request::operator= | ( | const HTTPBase & | rhs | ) |
| inline

void YaHTTP::Request::preparePost | ( | postformat_t | format = `urlencoded` | ) |
| inline

void YaHTTP::Request::setup | ( | const std::string & | method,
|  | const std::string & | url
| ) |  |
| inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Request & | resp
| ) |  |
| friend

std::istream& operator>> | ( | std::istream & | is,
|  | Request & | resp
| ) |  |
| friend

The documentation for this class was generated from the following file:

- /home/cmouse/projects/libyahttp/yahttp/reqresp.hpp